/* ------------------
全域
--------------------- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border-collapse: collapse;
    text-decoration: initial;
}

html {
    height: 100%;
    font-size: 16px;
}

body {
    background-color: black;
    font-family: Arial, Helvetica, sans-serif;
    height: 100%;
    position: relative;
    color: #F3E5B9;
    overflow: hidden;
}

html, body {
    touch-action: pan-x pan-y;
    -webkit-overflow-scrolling: auto;
    -webkit-tap-highlight-color: transparent;
}

a {
    text-decoration: none;
    outline: none;
}

iframe {
    height: 100%;
    width: 100%;
    border: 0;
    padding: 0px;
}

/* ------------------
Iframe
--------------------- */

#iframeGameHall {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#iframeGame,
#iframeMenuFunctions {
    position: absolute;
    left: 0;
    top: 0;
}


/* ------------------
縮放框 #very-specific-design
--------------------- */

.scaleable-wrapper {
    position:relative;
    width:100%;
    height:100%;
    background:#000;
}

.very-specific-design {
    position: relative;
    width:1440px;
    height:900px;
    left: 50%;
    top: 50%;
    transform-origin: center center;
}


/* ------------------
限紅設定有誤 #betLimitWrongSet
--------------------- */
#betLimitWrongSet {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    height: 100%; 
    width: 100%;
    background-color: black; 
    justify-content: center;
    align-items: center;
    color: #EFB807;
    text-align: center;
    font-size: 3.4666666667vw;
}

#betLimitWrongSet #betLimitWrongSetMsg {
    padding: 15px;
    font-size: 14px;
}

#betLimitWrongSet #betLimitWrongSetMsg::before {
    content: "";
    display: block;
    width: 30px;
    height: 30px;
    margin: 0 auto 10px auto;
    background: url(../../images/player/icon_error.png);
    background-size: 100% 100%;
    background-repeat: no-repeat;
}

/* ----------------------
WebSocket Disconnect 記號
----------------------*/
.websocket_connection_sign  {
	display: flex;
	position: fixed;
	padding: 1.875rem;
	background-color: #0009;
	border-radius: .5rem;
	align-items: center;
	flex-direction: column;
	--tw-translate-y: -50%;
	--tw-translate-x: -50%;
	transform: translate(-50%, -50%);
	top: 50%;
	left: 50%;
	box-sizing: border-box;
	border-width: 0;
	border-style: solid;
	border-color: #eae9e5;
	touch-action: pan-x pan-y;
}

.websocket_connection_sign > img {
	width: 2.625rem;
	height: 2.625rem;
}